unit pdfform;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, PdfLib_TLB, StdCtrls, ExtCtrls, ActnList, StdActns;

type
  TFormPDF = class(TForm)
    PdfControl: TPdf;
    ActionList1: TActionList;
    OpenAction: TFileOpen;
    Panel1: TPanel;
    Button1: TButton;
    ButtonClose: TButton;
    procedure OpenActionAccept(Sender: TObject);
    procedure ButtonCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormPDF: TFormPDF;

implementation

{$R *.dfm}

procedure TFormPDF.OpenActionAccept(Sender: TObject);
var fname:String;
begin
  fname:= OpenAction.Dialog.FileName;
  PdfControl.LoadFile(fname);
  PdfControl.Show;
  Caption := 'FormPDF - ' +fname;
end;

procedure TFormPDF.ButtonCloseClick(Sender: TObject);
begin
  PdfControl.Hide;
  Caption := 'FormPDF';
end;

end.
